shishi_priv_encprivpart_der_set(3)

NAME
shishi_priv_encprivpart_der_set - API function

SYNOPSIS
#include <shishi.h>

int shishi_priv_encprivpart_der_set(Shishi_priv * priv, char * der, size_t derlen);

ARGUMENTS

Shishi_priv * priv
    priv as allocated by shishi_priv().

char * der
    input array with DER encoded ENCPRIVPART.

size_t derlen
    length of input array with DER encoded ENCPRIVPART.

DESCRIPTION
DER decode ENCPRIVPART and set it PRIV exchange. If decoding fails, the ENCPRIVPART in the PRIV exchange remains.

RETURN VALUE
Returns SHISHI_OK.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.